Skip to content

Issue Enrollment

POST
/api/v1/agency/brands/{brand_id}/enrollments
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/agency/brands/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/enrollments \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "email": "hello@example.com" }'

Issue a signed link a client’s chairman can accept to join this brand.

brand_id
required
Brand Id
string format: uuid
Media typeapplication/json
IssueEnrollmentRequest

Request to issue a client enrollment link for a brand.

object
email
Any of:
string format: email
Examplegenerated
{
"email": "hello@example.com"
}

Successful Response

Media typeapplication/json
EnrollmentIssued

A signed enrollment link. delivered is a provider receipt, not a hope.

object
accept_url
required
Accept Url
string
delivered
required
Delivered
boolean
email
required
Any of:
string
expires_at
required
Expires At
string format: date-time
Examplegenerated
{
"accept_url": "example",
"delivered": true,
"email": "example",
"expires_at": "2026-04-15T12:00:00Z"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}